Bug 730971 - Harness does not like rebooting while event is processed in a loop
Summary: Harness does not like rebooting while event is processed in a loop
Keywords:
Status: CLOSED EOL
Alias: None
Product: Beaker
Classification: Retired
Component: beah
Version: 0.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard: SimpleHarness
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 12:39 UTC by Marian Csontos
Modified: 2020-02-11 12:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 12:07:30 UTC


Attachments (Terms of Use)

Description Marian Csontos 2011-08-16 12:39:53 UTC
Description of problem:

Try running following task:

<task name="/distribution/command" role="STANDALONE">
	<params>
		<param name="CMDS_TO_RUN" value="reboot"/>
	</params>
</task>

It can cause EWD in next task.


Version-Release number of selected component (if applicable):
0.6.17

How reproducible:
?

Steps to Reproduce:
1. run a recipe with given task
  
Actual results:
EWD in next task when we loose start event.

Expected results:
No EWD

Additional info:

Using plain reboot is not a good idea: next task started to be processed and machine is rebooted at a random moment during task exec which itself is enough to break some tests for example any test with rhts-reboot and $REBOOTCOUNT.

Also, harness did not handle the situation gracefully: network is down and an event is processed in a cycle. When reboot caught it the event was not requeued. Unfortunately it was start event, which is important in the event flow.

Comment 1 Nick Coghlan 2012-10-17 04:37:56 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 3 Martin Styk 2020-02-11 12:07:30 UTC
Beah is no longer supported by Beaker development team.
Instead of that, we are working on Restraint test harness. You can find all the features of Restraint here.

https://restraint.readthedocs.io/en/latest/

If you think your RFE should be still implemented as part of Restraint feel free to create a new BZ ticket.

https://bugzilla.redhat.com/enter_bug.cgi?product=Restraint

In case you have any question feel free to reach out to me
Thank you,
Martin Styk <martin.styk@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.